Bug 1008135 - Unable to boot live HDD from USB 3.0 to SATA Adapter (Model BET-US03)
Unable to boot live HDD from USB 3.0 to SATA Adapter (Model BET-US03)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
i386 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 02:07 EDT by Nestor Waldyd
Modified: 2014-02-05 17:23 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:23:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dracut debug (10.02 MB, text/plain)
2013-09-17 14:28 EDT, Nestor Waldyd
no flags Details
rdsosreport.sh (867 bytes, text/plain)
2013-09-17 15:04 EDT, Harald Hoyer
no flags Details
rdsosreport (79.90 KB, text/plain)
2013-09-17 17:09 EDT, Nestor Waldyd
no flags Details
Boot Report (75.30 KB, text/plain)
2013-11-15 17:40 EST, Nestor Waldyd
no flags Details

  None (edit)
Description Nestor Waldyd 2013-09-15 02:07:40 EDT
Description of problem:

While trying to boot from my live HDD from a USB 3.0 to SATA Adapter Model BET-US03, dracut prompted:

dracut-initqueue: Could not boot


Version-Release number of selected component (if applicable):

[waldyd@waldyd ~]$ dracut -h

Version: 024-25.git20130205.fc18


How reproducible:

Boot a live SATA HDD from an USB 3.0 to SATA Adapter model BET-US03


Steps to Reproduce:
1. Boot a live SATA HDD from an USB 3.0 to SATA Adapter model BET-US03


Actual results:

dracut-initqueue: Could not boot

Expected results:

Boot from live SATA HDD

Additional info: (USB 3.0 to SATA Adapter model BET-US03 system information)

[  229.104171] usb 1-2: new high-speed USB device number 6 using ehci-pci
[  229.221753] usb 1-2: New USB device found, idVendor=1f75, idProduct=0621
[  229.221778] usb 1-2: New USB device strings: Mfr=4, Product=5, SerialNumber=6
[  229.221796] usb 1-2: Product: Ext. HDD
[  229.221812] usb 1-2: Manufacturer: Innostor
[  229.221828] usb 1-2: SerialNumber: 20130814
[  229.444583] usb-storage 1-2:1.0: USB Mass Storage device detected
[  229.445215] scsi6 : usb-storage 1-2:1.0
[  232.461172] scsi 6:0:0:0: Direct-Access     Innostor Ext. HDD              PQ: 0 ANSI: 6
[  232.464772] sd 6:0:0:0: Attached scsi generic sg1 type 0
[  232.471149] sd 6:0:0:0: [sdb] Attached SCSI removable disk
Comment 1 Harald Hoyer 2013-09-16 10:33:12 EDT
Does the initramfs contain the ehci-pci driver?

# lsinitrd <initramfs-image> | fgrep ehci
Comment 2 Nestor Waldyd 2013-09-16 13:51:23 EDT
(In reply to Harald Hoyer from comment #1)
> Does the initramfs contain the ehci-pci driver?
> 
> # lsinitrd <initramfs-image> | fgrep ehci

Hello,

The initramfs does not contain it:

[waldyd@waldyd ~]$ sudo lsinitrd /boot/initramfs-3.10.10-100.fc18.i686.img | fgrep ehci
[waldyd@waldyd ~]$

Should i include it? how can this be done?

Beforehand Thanks.

Nestor Waldyd
Comment 3 Harald Hoyer 2013-09-16 14:44:24 EDT
It's fixed in dracut >= 026.

http://git.kernel.org/cgit/boot/dracut/dracut.git/commit/?id=a28e2aeefec38f9118f36b3324e44d6a7d4fda7c

Workaround for now:

# echo 'add_drivers+=" ehci-pci ehci-platform "' \
  >> /etc/dracut.conf.d/ehci-drivers.conf

# dracut -f
Comment 4 Nestor Waldyd 2013-09-16 15:02:54 EDT
[waldyd@waldyd ~]$ sudo su -c 'echo 'add_drivers+=" ehci-pci ehci-platform "' >> /etc/dracut.conf.d/ehci-drivers.conf'
[waldyd@waldyd ~]$ sudo dracut -f
/etc/dracut.conf.d/ehci-drivers.conf: line 1: ehci-pci: command not found
Comment 5 Nestor Waldyd 2013-09-16 15:07:25 EDT
Hello,

The previous problem was due to missing double quotes, after fixing this...

[waldyd@waldyd ~]$ sudo dracut -f
F: Failed to install ehci-platform
Comment 6 Harald Hoyer 2013-09-16 17:38:32 EDT
(In reply to Nestor Waldyd from comment #5)
> Hello,
> 
> The previous problem was due to missing double quotes, after fixing this...
> 
> [waldyd@waldyd ~]$ sudo dracut -f
> F: Failed to install ehci-platform

ok, remove ehci-platform, if that is not a kernel module
Comment 7 Nestor Waldyd 2013-09-16 20:13:49 EDT
Hello,

After executing all commands, the ehci module is not listed for initrd

[waldyd@waldyd ~]$ sudo su -c 'echo "add_drivers+=\" ehci-pci \"" > /etc/dracut.conf.d/ehci-drivers.conf'
[waldyd@waldyd ~]$ cat /etc/dracut.conf.d/ehci-drivers.conf
add_drivers+=" ehci-pci "
[waldyd@waldyd ~]$ sudo dracut -f
  
[waldyd@waldyd ~]$ sudo lsinitrd /boot/initramfs-3.10.11-100.fc18.i686.img | fgrep ehci
[waldyd@waldyd ~]$ uname -a
Linux waldyd.nwav 3.10.11-100.fc18.i686 #1 SMP Mon Sep 9 13:50:39 UTC 2013 i686 i686 i386 GNU/Linux

why?
Comment 8 Harald Hoyer 2013-09-17 11:02:43 EDT
hmm... can you attach dracut-debug.txt from:

$ sudo dracut -f --debug 2>dracut-debug.txt
Comment 9 Nestor Waldyd 2013-09-17 14:28:02 EDT
Created attachment 798931 [details]
dracut debug

Thanks for your help. Here it is...
Comment 10 Harald Hoyer 2013-09-17 15:04:15 EDT
Created attachment 798941 [details]
rdsosreport.sh

err... ehci-pci is builtin for kernel 3.10.11-100.fc18.i686

ok, wrong route.. next try

Can you create the initramfs with the attached rdsosreport.sh:

# dracut -f --include <insert-path-to>/rdsosreport.sh /usr/bin/rdsosreport

Then boot from the BET-US03 and you are dropped to the dracut shell.

execute:

# rdsosreport

And save /run/initramfs/rdsosreport.txt to a disk or USB stick and attach it here.
Comment 11 Nestor Waldyd 2013-09-17 17:09:50 EDT
Created attachment 798979 [details]
rdsosreport

Hello,

Here it is the report...
Comment 12 Harald Hoyer 2013-09-30 03:50:56 EDT
seems to be a kernel or drive bug. No partitions are recognized.

[    4.422820] localhost kernel: sd 7:0:0:0: [sdc] READ CAPACITY failed
[    4.422822] localhost kernel: sd 7:0:0:0: [sdc]  
[    4.422823] localhost kernel: Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[    4.422824] localhost kernel: sd 7:0:0:0: [sdc]  
[    4.422825] localhost kernel: Sense Key : Not Ready [current] 
[    4.422827] localhost kernel: sd 7:0:0:0: [sdc]  
[    4.422829] localhost kernel: Add. Sense: Logical unit is in process of becoming ready
[    4.423382] localhost kernel: sd 7:0:0:0: [sdc] Test WP failed, assume Write Enabled
[    4.423926] localhost kernel: sd 7:0:0:0: [sdc] Asking for cache data failed
[    4.423928] localhost kernel: sd 7:0:0:0: [sdc] Assuming drive cache: write through
[    4.759315] localhost kernel: sd 7:0:0:0: [sdc] 312581808 512-byte logical blocks: (160 GB/149 GiB)
[    4.761286] localhost kernel: sd 7:0:0:0: [sdc] No Caching mode page present
[    4.761288] localhost kernel: sd 7:0:0:0: [sdc] Assuming drive cache: write through
[    4.761290] localhost kernel: sd 7:0:0:0: [sdc] Attached SCSI disk
Comment 13 Nestor Waldyd 2013-09-30 22:13:27 EDT
Hello,

Thanks for your help.

Please discard the drive because when i boot from a IDE/SATA to USB 2.0 adapter it works. Indeed i am running from/using it right now... 

Best Regards,

Nestor Waldyd
Comment 14 Harald Hoyer 2013-10-14 04:56:43 EDT
(In reply to Nestor Waldyd from comment #13)
> Hello,
> 
> Thanks for your help.
> 
> Please discard the drive because when i boot from a IDE/SATA to USB 2.0
> adapter it works. Indeed i am running from/using it right now... 
> 
> Best Regards,
> 
> Nestor Waldyd

? why did you reassign it to dracut again?
Comment 15 Nestor Waldyd 2013-10-14 12:58:13 EDT
At the top of this bug says:


Assigned To:	 Kernel Maintainer List


I have not reassigned it to dracut again.
Comment 16 Harald Hoyer 2013-10-15 05:42:46 EDT
(In reply to Nestor Waldyd from comment #15)
> At the top of this bug says:
> 
> 
> Assigned To:	 Kernel Maintainer List
> 
> 
> I have not reassigned it to dracut again.

Nestor Waldyd 2013-09-30 22:13:27 EDT Comment 13

Component: kernel → dracut
Comment 17 Justin M. Forbes 2013-10-18 17:20:39 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 18 Nestor Waldyd 2013-10-20 18:09:15 EDT
The problem is still present in Fedora 18 with kernel 3.11.4-101.fc18
Comment 19 Nestor Waldyd 2013-11-15 17:40:16 EST
Created attachment 824731 [details]
Boot Report
Comment 20 Nestor Waldyd 2013-11-15 17:42:26 EST
The problem is still present in Fedora 18 with kernel 3.11.7-100.fc18.i686

Please read the attached report (Boot Report).
Comment 21 Fedora End Of Life 2013-12-21 09:35:22 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Nestor Waldyd 2014-01-22 12:15:31 EST
Hello,

I was able to boot my LIVE Fedora HDD using the following procedure:

1. Boot from my USB Disk
2. Select the Kernel in Boot Menu
3. While Fedora halts at:
   
[  OK  ] Reached target Paths.

i unplug and then plug my USB HDD and voila, fedora boots as expected. Otherwise the dracut rescue console is prompted.
Comment 23 Nestor Waldyd 2014-01-22 12:17:57 EST
I did the above procedure on Fedora 19, kernel 3.12.8-200.fc19.i686.
Comment 24 Fedora End Of Life 2014-02-05 17:23:37 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.